## NAME

CURLOPT_DNS_USE_GLOBAL_CACHE - enable/disable global DNS cache

## SYNOPSIS

#include <curl/curl.h>

CURLcode curl_easy_setopt(CURL *handle, CURLOPT_DNS_USE_GLOBAL_CACHE, long enable);

## DESCRIPTION

Pass a long. If the enable value is 1, it tells curl to use a global DNS cache that will survive between easy handle creations and deletions. This is not thread-safe and this will use a global variable.

WARNING: this option is considered obsolete. Stop using it. Switch over to using the share interface instead! See CURLOPT_SHARE and curl_share_init(3).

## DEFAULT

0

## PROTOCOLS

All

## EXAMPLE

TODO

## AVAILABILITY

Subject for removal in the future. Do not use!

## RETURN VALUE

Returns CURLE_OK if the option is supported, and CURLE_UNKNOWN_OPTION if not.

## SEE ALSO

CURLOPT_SHARE, CURLOPT_DNS_CACHE_TIMEOUT

This HTML page was made with roffit.